Subject: Re: linux-next: manual merge of the tip tree with the rdma tree

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 6 Aug 2018 13:45:26 -0600

On Mon, Aug 06, 2018 at 02:53:31PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   drivers/infiniband/core/rdma_core.c
> 
> between commit:
> 
>   9867f5c6695f ("IB/uverbs: Convert 'bool exclusive' into an enum")
> 
> from the rdma tree and commit:
> 
>   bfc18e389c7a ("atomics/treewide: Rename __atomic_add_unless() => atomic_fetch_add_unless()")
> 
> from the tip tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Gaaagh that is a big conflict

I was going to do this next cycle.. But I'll try to push a commit
consolidating this crazy use of __atomic_add_unless into one function
so this conflict should become easier to handle.

Jason